classification
Title: quiet the freeze makefile
Type: enhancement Stage: patch review
Components: Demos and Tools Versions: Python 3.2
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, docwhat, georg.brandl, r.david.murray
Priority: normal Keywords: patch

Created on 2008-09-25 15:30 by docwhat, last changed 2010-10-21 12:53 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
freeze.quiet.patch docwhat, 2008-09-25 15:30 Patch to quiet freeze
Messages (7)
msg73796 - (view) Author: Christian Höltje (docwhat) Date: 2008-09-25 15:30
The make process for building a freeze'd python script is a little
noisy.  This patch makes quieter unless someone adds "VERBOSE=1" to the
make invocation.
msg109305 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2010-07-05 06:21
Assuming the patch works (I don't do makefiles) would anyone use this yes or no?
msg109335 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2010-07-05 16:14
In my experience makes are generally pretty noisy, so I doubt it. But I don't use freeze, so we'd really need a review from someone who does.
msg111926 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-07-29 13:52
Isn't the usual way to use "make -s" if you don't want echoed commands?
msg111929 - (view) Author: Christian Höltje (docwhat) Date: 2010-07-29 14:02
Isn't 'make -s' a GNU make-ism?
msg111931 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-07-29 14:13
Well, at least -s is mentioned in my POSIX make(1p) manpage, and I found it in an online version of the OpenBSD manpages.
msg119284 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-10-21 12:53
Closing as "works for me".
History
Date User Action Args
2010-10-21 12:53:48georg.brandlsetstatus: open -> closed
resolution: works for me
messages: + msg119284
2010-07-29 14:13:48georg.brandlsetmessages: + msg111931
2010-07-29 14:02:37docwhatsetmessages: + msg111929
2010-07-29 13:52:39georg.brandlsetnosy: + georg.brandl
messages: + msg111926
2010-07-05 16:14:35r.david.murraysetversions: + Python 3.2
nosy: + r.david.murray

messages: + msg109335

stage: patch review
2010-07-05 06:21:14BreamoreBoysetnosy: + BreamoreBoy
messages: + msg109305
2008-09-25 15:30:47docwhatcreate